CompilerError (Axis API)
Keywords: org.apache.axis.components.compiler.CompilerError class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.compiler
Class CompilerError

    java.lang.Object
      org.apache.axis.components.compiler.CompilerError

public class CompilerError
extends java.lang.Object

This class encapsulates an error message produced by a programming language processor (whether interpreted or compiled)

Since:
  2.0
Author:
  Davanum Srinivas, Stefano Mazzocchi

Constructor Summary
`CompilerError(java.lang.String message)` The error message constructor.
`CompilerError(java.lang.String file, boolean error, int startline, int startcolumn, int endline, int endcolumn, java.lang.String message)` The error message constructor.

Method Summary
`int` | `getEndColumn()` Return the ending column number of the program text originating this error
`int` | `getEndLine()` Return the ending line number of the program text originating this error
`java.lang.String` | `getFile()` Return the filename associated with this compiler error.
`java.lang.String` | `getMessage()` Return the message produced by the language processor
`int` | `getStartColumn()` Return the starting column number of the program text originating this error
`int` | `getStartLine()` Return the starting line number of the program text originating this error
`boolean` | `isError()` Assert whether this is a severe error or a warning

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompilerError

    public CompilerError(java.lang.String file,
                         boolean error,
                         int startline,
                         int startcolumn,
                         int endline,
                         int endcolumn,
                         java.lang.String message)

  The error message constructor.

Parameters:
  `file` - The name of the file containing the offending program text
  `error` - The actual error text produced by the language processor
  `startline` - The start line number of the offending program text
  `startcolumn` - The start column number of the offending program text
  `endline` - The end line number of the offending program text
  `endcolumn` - The end column number of the offending program text
  `message` - The actual error text produced by the language processor

### CompilerError

    public CompilerError(java.lang.String message)

  The error message constructor.

Parameters:
  `message` - The actual error text produced by the language processor

Method Detail

### getFile

    public java.lang.String getFile()

  Return the filename associated with this compiler error.

  Returns:
    The filename associated with this compiler error

### isError

    public boolean isError()

  Assert whether this is a severe error or a warning

  Returns:
    Whether the error is severe

### getStartLine

    public int getStartLine()

  Return the starting line number of the program text originating this error

  Returns:
    The starting line number of the program text originating this error

### getStartColumn

    public int getStartColumn()

  Return the starting column number of the program text originating this error

  Returns:
    The starting column number of the program text originating this error

### getEndLine

    public int getEndLine()

  Return the ending line number of the program text originating this error

  Returns:
    The ending line number of the program text originating this error

### getEndColumn

    public int getEndColumn()

  Return the ending column number of the program text originating this error

  Returns:
    The ending column number of the program text originating this error

### getMessage

    public java.lang.String getMessage()

  Return the message produced by the language processor

  Returns:
    The message produced by the language processor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.